other-emerald
other-emerald3mo ago

The request 'lodash/debounce' failed to resolve only because it was resolved as fully specified

After last update, I'm getting The request 'lodash/debounce' failed to resolve only because it was resolved as fully specified (probably because the origin is strict EcmaScript Module, e. g. a module with javascript mimetype, a '.mjs' file, or a '.js' file where the package.json contains '"type": "module"'). It looks like it's related to devtools. Is there any suggested workaround?
2 Replies
kapa.ai
kapa.ai3mo ago
Hi @adonike. I'm kapa.ai, your friendly support bot. I will try to answer your question by searching through the knowledge base. :wave: ---------------------- Hmm, I don't know enough to give you a confident answer yet. The knowledge sources provided do not contain information about the specific issue you're encountering with 'lodash/debounce' and its relation to devtools in the Refine framework. However, if you suspect the issue is related to Refine's devtools, you might want to check if the @refinedev/devtools dependency is present in your project. Also, ensure that the devtools servers are up and running when you execute the dev command. If the issue persists, consider opening a GitHub issue with a minimal reproduction of the problem for further assistance [^1^]. For more detailed information, you can refer to the official Refine documentation (https://refine.dev/docs/overview/introduction). [^1^]: (Source: https://discord.com/channels/837692625737613362/1199056792525750353) ---------------------- Note: you can ask me a follow up question by @ mentioning me again :speech_balloon: ----------------------
kapa.ai
kapa.ai3mo ago
<@937074337234685952> kapa.ai is still learning and improving, please let us know how it did by reacting below